package com.ecs;

import lombok.extern.slf4j.Slf4j;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.cache.annotation.EnableCaching;
import org.springframework.scheduling.annotation.EnableScheduling;

import java.net.InetAddress;
import java.net.UnknownHostException;

@Slf4j
@SpringBootApplication(scanBasePackages = "com.ecs")
@EnableCaching//开启缓存
@EnableScheduling // 启用定时任务
public class YuNanDemoApplication {

    public static void main(String[] args) {
        SpringApplication.run(YuNanDemoApplication.class, args);

        // 获取本地 IP 地址
        String ip;
        try {
            ip = InetAddress.getLocalHost().getHostAddress(); // 获取本地 IP 地址
        } catch (UnknownHostException e) {
            ip = "localhost"; // 如果无法获取 IP，设为 localhost
        }
        // 打印 Swagger 文档的 URL
        log.info("\n----------------------------------------------------------\n\t" +
                "Swagger文档: \thttp://" + ip + ":8080/doc.html\n" +
                "----------------------------------------------------------");

    }

}
